Loading...
Searching...
No Matches
lsc_polynomial.h File Reference

LscPolynomial class. More...

`#include <algorithm>`
`#include <array>`
`#include <assert.h>`
`#include <cmath>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/span.h>`
`#include "libcamera/internal/yaml_parser.h"`
Include dependency graph for lsc_polynomial.h:

Go to the source code of this file.

## Classes

class | libcamera::ipa::LscPolynomial
| Class for handling even polynomials used in lens shading correction. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

LscPolynomial class.